import {defineStore} from "pinia";
import router from "../router";
export const useRootStore = defineStore('root',{
    state() {
        return {
            userInfo:{},
            leftMenuList:[
                {
                    "children":[
                        {
                            "path":"/",
                            "name":"政策法规信息"
                        },
                        {
                            "path":"/",
                            "name":"备忘录管理"
                        }
                    ],
                    "O_LCON":"iconfont icon-wenjianguanli iconColor",
                    "path":"/",
                    "name":"政策法规管理"
                },
                {
                    "children":[
                        {
                            "path":"/",
                            "name":"市信用信息平台查询"
                        },
                        {
                            "children":[
                                {
                                    "path":"/",
                                    "name":"按相对人查询"
                                },
                                {
                                    "path":"/",
                                    "name":"按事项查询"
                                }
                            ],
                            "path":"/",
                            "name":"委信用信息库查询"
                        },
                        {
                            "path":"/",
                            "name":"委三清单信息管理"
                        },
                        {
                            "path":"/",
                            "name":"委信用信息管理"
                        }
                    ],
                    "O_LCON":"iconfont icon-xinyong iconColor",
                    "path":"/",
                    "name":"信用信息"
                },
                {
                    "children":[
                        {
                            "path":"/",
                            "name":"备忘录管理"
                        },
                        {
                            "path":"/",
                            "name":"奖惩措施管理"
                        },
                        {
                            "path":"/",
                            "name":"联合奖惩案例信息"
                        },
                    ],
                    "O_LCON":"iconfont icon-medal iconColor",
                    "path":"/",
                    "name":"联合奖惩"
                },
                {
                    "children":[
                        {
                            "path":"/",
                            "name":"数据归集推送"
                        },
                        {
                            "path":"/",
                            "name":"应用情况"
                        },
                        {
                            "path":"/",
                            "name":"信用修复"
                        },
                        {
                            "path":"/",
                            "name":"联合奖惩"
                        },
                        {
                            "path":"/",
                            "name":"数据日志"
                        },
                    ],
                    "O_LCON":"iconfont icon-zhuzhuangtu iconColor",
                    "path":"/",
                    "name":"信用数据"
                },
                {
                    "children":[
                        {
                            "path":"/",
                            "name":"用户管理"
                        },
                        {
                            "path":"/",
                            "name":"单位管理"
                        },
                        {
                            "path":"/",
                            "name":"用户日志"
                        },
                        {
                            "path":"/",
                            "name":"系统说明"
                        },
                    ],
                    "O_LCON":"iconfont icon-shezhi-xianxing iconColor",
                    "path":"/",
                    "name":"系统管理"
                },
            ],
            toHomeCounter:0,
        }
    }
})