import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path:'/',
      redirect:'/main'
    },
    {
      path: '/main',
      name: 'main',
      component:() => import('../views/main/Main.vue'),
      children:[
        {path: '',component:() => import('../views/main/MainNotFound.vue')}
      ]
    }
  ]
})

export default router
