import {app} from "./init";
import ElementPlus from 'element-plus'
import './assets/styles/main.css'
import 'element-plus/dist/index.css'
import 'lib-flexible-computer'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import { createPinia } from 'pinia'
import {useRootStore} from "./pinia/useStore";
import "./assets/styles/index.scss"
import router from "./router";

app.use(ElementPlus, {
    locale: zhCn,
})

app.use(createPinia())
app.use(router)

app.use(router).mount('#app')
